body {
  margin: 0;
  font-family: -apple-system, BlinkMacSystemFont, "Segoe UI", "Roboto", "Oxygen",
    "Ubuntu", "Cantarell", "Fira Sans", "Droid Sans", "Helvetica Neue",
    sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}

code {
  font-family: source-code-pro, Menlo, Monaco, Consolas, "Courier New",
    monospace;
}

.container {
  max-width: 1000px;
  margin: 0 auto;
  padding: 3rem;
}

.blocks {
  display: flex;
}

.blocks div {
  margin-right: 5rem;
}

.square {
  display: flex;
  align-items: center;
  justify-content: center;
  width: 200px;
  height: 200px;
}

.square.entering {
  animation: square 1000ms ease-out forwards;
}

.square.exiting {
  animation: square 500ms ease-out alternate-reverse;
}

.square.exited {
  opacity: 0;
  transform: translateY(-100px);
}

.square.blue {
  background: cornflowerblue;
}

.square.orange {
  background: coral;
}

.os-enter {
  opacity: 0;
}

.os-enter-active {
  opacity: 1;
  transition: opacity 1s;
}

.os-exit {
  opacity: 1;
}

.os-exit-active {
  opacity: 0;
  transition: opacity 1s;
}

.os-exit-done {
  opacity: 0;
}

@keyframes square {
  0% {
    opacity: 0;
    transform: translateY(-100px);
  }

  50% {
    opacity: 1;
    transform: translateY(30px);
  }

  100% {
    transform: translateY(0);
  }
}
